UnrecoverableException (JiBX Java data binding to XML - Version 1.2.3)
Keywords: org.jibx.runtime.UnrecoverableException class

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibx.runtime
Class UnrecoverableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jibx.runtime.JiBXException
                  org.jibx.runtime.UnrecoverableException

All Implemented Interfaces:
  java.io.Serializable

    public class UnrecoverableException

extends JiBXException

Unrecoverable exception class. This is used for fatal errors in marshalling and unmarshalling.

Version:
  1.0
Author:
  Dennis M. Sosnoski
See Also:
  Serialized Form

Constructor Summary
`UnrecoverableException(java.lang.String msg)` Constructor from message.
`UnrecoverableException(java.lang.String msg, java.lang.Throwable root)` Constructor from message and wrapped exception.

Method Summary

Methods inherited from class org.jibx.runtime.JiBXException
`getCause, getRootCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnrecoverableException

    public UnrecoverableException(java.lang.String msg)

  Constructor from message.

  Parameters:
    `msg` - message describing the exception condition

### UnrecoverableException

    public UnrecoverableException(java.lang.String msg,
                                  java.lang.Throwable root)

  Constructor from message and wrapped exception.

  Parameters:
    `msg` - message describing the exception condition
    `root` - exception which caused this exception

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project Web Site |